Açılış sayfaları (Splash)
GET https://habersal.net/api/splash-pages/
curl --request GET \
--url 'https://habersal.net/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://habersal.net/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
| Parametreler | Detaylar | Açıklama |
|---|---|---|
| page | İsteğe Bağlı Tam Sayı (Integer) | Sonuçları almak istediğiniz sayfa numarası. Varsayılan: 1. |
| results_per_page | İsteğe Bağlı Tam Sayı (Integer) | Sayfa başına kaç sonuç istediğiniz. İzin verilen değerler: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Varsayılan: 25. |
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-03-04 05:36:34",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://habersal.net/api/projects?page=1",
"last": "https://habersal.net/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://habersal.net/api/projects?page=1"
}
}
GET https://habersal.net/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://habersal.net/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://habersal.net/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-03-04 05:36:34",
}
}
POST https://habersal.net/api/projects
| Parametreler | Detaylar | Açıklama |
|---|---|---|
| name | Zorunlu Metin (String) | - |
| title | İsteğe Bağlı Metin (String) | - |
| logo | İsteğe Bağlı Dosya | - |
| favicon | İsteğe Bağlı Dosya | - |
| opengraph | İsteğe Bağlı Dosya | - |
| description | İsteğe Bağlı Metin (String) | - |
| secondary_button_name | İsteğe Bağlı Metin (String) | - |
| secondary_button_url | İsteğe Bağlı Metin (String) | - |
| custom_css | İsteğe Bağlı Metin (String) | - |
| custom_js | İsteğe Bağlı Metin (String) | - |
| ads_header | İsteğe Bağlı Metin (String) | - |
| ads_footer | İsteğe Bağlı Metin (String) | - |
| link_unlock_seconds | İsteğe Bağlı Tam Sayı (Integer) | - |
| auto_redirect | İsteğe Bağlı Mantıksal (Boolean) | - |
curl --request POST \
--url 'https://habersal.net/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://habersal.net/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
POST https://habersal.net/api/splash-pages/{splash_page_id}
| Parametreler | Detaylar | Açıklama |
|---|---|---|
| name | İsteğe Bağlı Metin (String) | - |
| title | İsteğe Bağlı Metin (String) | - |
| logo | İsteğe Bağlı Dosya | - |
| favicon | İsteğe Bağlı Dosya | - |
| opengraph | İsteğe Bağlı Dosya | - |
| description | İsteğe Bağlı Metin (String) | - |
| secondary_button_name | İsteğe Bağlı Metin (String) | - |
| secondary_button_url | İsteğe Bağlı Metin (String) | - |
| custom_css | İsteğe Bağlı Metin (String) | - |
| custom_js | İsteğe Bağlı Metin (String) | - |
| ads_header | İsteğe Bağlı Metin (String) | - |
| ads_footer | İsteğe Bağlı Metin (String) | - |
| link_unlock_seconds | İsteğe Bağlı Tam Sayı (Integer) | - |
| auto_redirect | İsteğe Bağlı Mantıksal (Boolean) | - |
curl --request POST \
--url 'https://habersal.net/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://habersal.net/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
DELETE https://habersal.net/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://habersal.net/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://habersal.net/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \